Skip to main content
GET
/
offchainvesting
/
schedules
List offchain vesting schedules for an organization
curl --request GET \
  --url https://api.anchorage-staging.com/v2/offchainvesting/schedules \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "accountId": "<string>",
      "allocations": [
        {
          "totalAmount": "<string>",
          "vestedAmount": "<string>",
          "vestingHolds": [
            {
              "endTime": "2023-11-07T05:31:56Z",
              "holdAmount": "<string>",
              "holdId": "<string>",
              "holdType": "<string>",
              "startTime": "2023-11-07T05:31:56Z"
            }
          ],
          "walletId": "<string>"
        }
      ],
      "assetType": "<string>",
      "endTime": "2023-11-07T05:31:56Z",
      "organizationKeyId": "<string>",
      "startTime": "2023-11-07T05:31:56Z",
      "totalAmount": "<string>",
      "unstakeable": true,
      "vestedAmount": "<string>",
      "vestingScheduleId": "<string>"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

List of offchain vesting schedules

data
OffchainVestingSchedule · object[]
required
page
Page · object
required

Pagination info